/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Aug 21, 2023, 12:24:17 PM
    Author     : ml-beata
*/

body {
    background-color: rgb(255, 244, 193)!important;
}
.seasonCardTitle h1 {
    color: rgb(68,68,68);
    direction: ltr;
    font-family: 'Prater Serif Regular'!important;
    font-weight: 700;
    font-style: normal;
    font-size: 60px;
    margin: 8px 0px;
}
.seasonCardTitle span {
    font-size: 24px;
    margin: 8px 0px!important;
    padding: 2px 0px;
}
form input {
    width: 100%;
    font-size: 16px;
    background-color: rgba(102,102,102,0.15);
    border: 2px solid #ffffff;
    width: 100%;
    margin: 3px 0;
    height: 40px;
    padding: 0 10px;
    color: rgb(68,68,68)!important
}

.seasonCardTitle {
    text-align: center;
    padding: 15px 15px 15px 15px;
    margin-bottom: 20px!important;
}
.activate-seasoncard {
    padding: 0px 15px;
    margin-top: 20px;
    margin-bottom: 40px;
    display: flex;
    justify-content: flex-end;
}
input.activate-button {
    width: 31.33%;
    font-size: 16px;
    background-color: rgb(0, 64, 14);
    border: unset;
    padding: 10px;
    height: auto;
    border-radius: 5px;
    color: rgb(242, 239, 222)!important;
    font-weight: 700;
}
input.activate-button:hover {
    background-color: #F66035;
    color: #ffffff!important;
}
li.input-photo input[type=file] {
    background: transparent;
    border: unset;
    padding: 0px;
    outline: unset;
    pointer-events: none;
}
input[type="file"]::-webkit-file-upload-button {
    padding: 8px;
    background-color: rgb(255, 136, 7);
    border: unset;
    border-radius: 5px;
    color: #fff;
    width: 150px;
    font-weight:700;
    pointer-events: auto;
    margin-right: 10px;
}
input[type="file"]::-webkit-file-upload-button:hover{
    background-color: rgb(2, 102, 14);
    color: #ffffff;
}
.seasoncard-status {
    font-weight: 700;
}
a.new-season-card,
a.show-season-card,
input.print-ticket {
    font-size: 16px;
    font-weight: 700;
    border-radius: 5px;
    padding: 10px 15px;
    background-color: #0F8B00;
    color: rgb(242, 239, 222);
    margin: 15px;
    max-width: 300px;
    text-align: center;
    margin-top: 5px!important;
}
.seasoncard-status.row .col-md-8.status {
    color:rgba(213,110,11,1);
}

.status-active-msg{color: #0F8B00;}
.status-active-img{
    width: 40px;
    vertical-align: middle;
    display: block;
    margin-top: -5px;
}

.btn.btn-new-card-link:hover, .btn.btn-new-card-link:focus,
a.new-season-card:hover,a.new-season-card:focus,
a.show-season-card:hover, a.show-season-card:focus,
input.print-ticket:hover, input.print-ticket:focus   {
    background-color: rgb(0, 64, 14);
    color: #ffffff;
}
.fa-brands, .fab {
    font-family: "Font Awesome 6 Brands"!important;
}
.seasonCardTitle.error {
    text-align: left;
    padding: 15px 15px 0px 15px;
}
#photo-message {
    display: none;
}
.dmformsubmit input[type="submit"]{
    color:#ffffff!important;
}
img.seasoncard-image {
    max-width: 200px;
    height: auto;
    max-height: 300px;
}
.tx-mlseasoncard {
    font-size: 18px;
}
.tx-mlseasoncard col-md-10 .row {
    padding: 6px 0px;
}
.tx-mlseasoncard {
    display: flex;
    flex-direction: column;
}
.activate-seasonpass label,
.adult-txt ,
.child-txt {
    font-family: 'Prater Serif Regular'!important;
    font-weight: 400;
    font-size: 22px;
    color: rgb(68,68,68);
}
.typo3-messages {
    padding-left: 20px;
    padding-right: 20px;
}
.activation-links {
    display: flex;
    flex-direction: column;
}
.activation-links {
    display: flex;
    flex-direction: column;
}
a.new-card-link {
    padding: 5px 15px;
    margin-bottom: 30px;
}
input#file-upload {
    background-color: transparent;
    border: unset;
    padding-left: 0;
}
.photo-cont {
    display: flex;
}
.activate-seasonpass .col-md-4 {
    padding-bottom: 5px;
    padding-top: 5px;
}


/*toggle checkbox*/
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgb(11 158 29);
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: #fff;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: rgb(255,136,7);
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}
input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
span.adult-child-txt {
    padding-left: 10px;
    height: 34px;
}
span.adult-txt {
    padding-right: 10px;
    font-weight: 400;
    color: rgb(68,68,68);
}
span.child-txt {
    padding-left: 10px;
    font-weight: 400;
    color: rgb(68,68,68);
}
.slider.round {
    border-radius: 34px;
}
.slider.round:before {
    border-radius: 50%;
}
.active-parent {
    color: rgb(11 158 29)!important;
}
.active-child{
    color: rgba(213,110,11,1)!important;
}
.tx-mlseasoncard .row {
    padding-bottom: 13px;
}
.container.parent-child-check{
    display: flex;
}
li.alert.alert-danger::marker {
    content: '';
}
input[type=file]:focus{
    outline: unset!important;
}

.btn-new-card-link {
    color: #fff;
    background-color: #FF4D00;
    border-color: #ccc;
    font-size: 16px;
    font-weight: 700;
    border-radius: 5px;
    padding: 10px 15px;
    margin: 15px;
    max-width: 300px;
    text-align: center;
    margin-top: 5px!important;
}

.language-menu {
    float: right;
    display: flex;
    flex-direction: row;
    margin-bottom: 0px;
    margin-top: -40px;
}
/*.language-menu a img {
    width: 26px;
    height: 20px;
    min-width: 24px;
    min-height: 20px;
}*/
.language-menu li::marker{
    content: '';
}
.language-menu a {
    padding: 0 2px;
}


.tx-mlseasoncard .btn {width: 100%; }
@media (max-width:574px) and (min-width:480px) {
    .activate-seasonpass {
        padding: 0px 10px;
    }
    .activate-seasoncard {
        margin: 20px 10px 30px;
    }
}
@media screen and (max-width: 820px) {
    .seasonCardTitle span {
        font-size: 19px;
    }
    .seasonCardTitle h1{
        font-size: 48px;
    }
    input.activate-button {
        width: 100%;
    }
    .btn {max-width: 100%!important; width: 100%; margin: 0;}
}
@media screen and (max-width: 480px) {
    img.seasoncard-image {
        max-height: 200px;
    }
    .tx-mlseasoncard .col-md-2 {
        padding: 3px 0px;
    }
    .tx-mlseasoncard .col-md-8 {
        padding: 0px;
    }

    .seasonCardTitle h1{
        font-size: 43px;
    }
    a.new-season-card{
        margin: 15px 0px;
    }
    a.new-season-card, a.show-season-card, input.print-ticket {
        margin: 0px;
    }
    a.new-card-link {
        padding: 15px 0px;
    }
    a.new-season-card.error {
        margin: 0 15px;
        margin-bottom: 20px;
    }
    .seasonCardTitle {
        text-align: center;
        /*padding: 15px 0px 15px 0px;*/
    }
}